Subject: Re: [bug#42306] [PATCH] gnu: Add nfs4-acl-tools

From: Marius Bakke <[email-masked]>
Date: Thu, 30 Jul 2020 00:01:28 +0200

Lars-Dominik Braun <[email-masked]> writes:

> Hey Marius,
>
>> Sorry for the late reply...
> no problem.
>
>> The patch mostly LGTM, but no longer applies.  Can you rebase it on
>> current master?  Meanwhile, a few comments:
> Sure, see attached patch, which (hopefully) also improves the description.

Thanks!  FYI I had to convert the patch from ISO-8859-1 encoding to
UTF-8 in order to make it apply.

Applied with the following changes:

diff --git a/gnu/packages/acl.scm b/gnu/packages/acl.scm
index 128afc52c2..a6409765ff 100644
--- a/gnu/packages/acl.scm
+++ b/gnu/packages/acl.scm
@@ -27,7 +27,6 @@
   #:use-module (gnu packages attr)
   #:use-module (gnu packages autotools)
   #:use-module (gnu packages base)
-  #:use-module (gnu packages bash)
   #:use-module (gnu packages gettext)
   #:use-module (gnu packages perl)
   #:use-module (guix packages)
@@ -116,14 +115,13 @@
        #:phases
        (modify-phases %standard-phases
          (add-after 'unpack 'fix-bin-sh
-           (lambda* (#:key inputs native-inputs #:allow-other-keys)
+           (lambda _
              (substitute* "include/buildmacros"
-               (("/bin/sh") (string-append (assoc-ref inputs "bash-minimal") "/bin/sh")))
+               (("/bin/sh") (which "sh")))
              #t)))))
     (native-inputs
      `(("automake" ,automake)
        ("autoconf" ,autoconf)
-       ("bash-minimal" ,bash-minimal)
        ("libtool" ,libtool)))
     (inputs
      `(("attr" ,attr)))
@@ -134,4 +132,3 @@
 POSIX equivalents @command{getfacl} and @command{setfacl}.  They fetch and
 manipulate access control lists for files and directories on NFSv4 mounts.")
     (license bsd-3)))
-

...however I also decided to move it to (gnu packages nfs).

> I noticed linting fails with a pattern matching error, because git:// protocol
> URI’s are not supported. The second patch fixes it, but I’m not sure that’s a
> “proper” solution.

Me neither and I don't feel like jumping on that one right away.  :-)

It seems we already have a number of git:// URLs around so it would be
good to fix it, can you submit the second patch to a separate issue?

Thanks!